Bug 841032 - rhc-admin-migrate: We need a cli param to override MAX_THREADS
rhc-admin-migrate: We need a cli param to override MAX_THREADS
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 18:56 EDT by Thomas Wiest
Modified: 2015-05-14 22:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_1902
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:43:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2012-07-17 18:56:59 EDT
Description of problem:
rhc-admin-migrate: We need a cli param to override MAX_THREADS so that we don't have to edit the script to override the default.

Example:
rhc-admin-migrate --max-threads 20

Version-Release number of selected component (if applicable):
rhc-broker-0.95.22-1.el6_3.noarch
Comment 1 Jianwei Hou 2012-07-19 03:45:57 EDT
verified on devenv_1902
rhc-broker-0.96.2-1.el6_3.noarch

Steps:
1.create applications on old instance
2.yum update
3.git clone git@github.com:openshift/li.git li-source
  cd li-source/broker/scripts/
4../rhc-admin-migrate --help
5. ./rhc-admin-migrate --max-threads 20 --version 2.0.15


Results:
step 4: rhc-admin-migrate have the max-threads param
 --max-threads num                    Indicates the number of processing queues
Step 5: 
Gathering gears for user: jhou@redhat.com with uuid: 29f6b45fd3cc4275a967f43ebc08053e
#####################################################
Gear counts per thread:
[30]
#####################################################
............
#####################################################
Summary:
# of users: 1
# of gears: 30
# of failures: 0
Gear counts per thread: [30]
Total execution time: 577s
#####################################################

the --max-threads param is added

Note You need to log in before you can comment on or make changes to this bug.